import type { AppRouteRecordRaw, AppRouteModule } from '@/router/types';
import { HomeOutlined } from '@ant-design/icons-vue';
import { routerList } from './routerList';

// 权限管理
const HomeRoute : AppRouteRecordRaw = {
	path: '/home',
	name: 'home',
	component: routerList.Home,
	meta: {
		title: '首页',
		icon: HomeOutlined
	},
	
};


export const routesModuleList : AppRouteModule[] = [HomeRoute];