import type { AppRouteRecordRaw } from '@/router/types';
import { HomeOutlined } from '@ant-design/icons-vue';

// import LOGIN from '@/views/login/login.vue';
// import HOME from '@/views/home/home.vue';
import Layout from '@/components/layout/index.vue';
import Home from '@/views/home/index.vue';
import Job from '@/views/job/index.vue';

// // 登录路由
// export const LoginRoute: AppRouteRecordRaw = {
// 	path: '/login',
// 	name: 'login',
// 	component: LOGIN,
// 	meta: {
// 		title: '登录'
// 	}
// }

// layout路由
export const LayoutRoute: AppRouteRecordRaw = {
	path: '',
	name: 'layout',
	component: Layout,
	meta: {
		title: '登录'
	},
	children: [
		{
			path: '/home',
			name: 'home',
			component: Home,
			meta: {
				title: '首页'
			}
		},
		{
			path: '/job',
			name: 'job',
			component: Job,
			meta: {
				title: '求职招聘'
			}
		}
	]
}

export const basicRoutes = [
	LayoutRoute
]
